Tugger the SLUGger!SLUG Mailing List Archives

Re: [SLUG] problems compiling Dia


Peter Hardy kindly suggested:
> configure caches the results of its checks in config.cache.  Here it
> looks like it's just referring to that file instead of doing the
> actual
> check.  Try removing config.cache and running configure again.

Thanks, Peter. I removed config.cache and now I have a new output from
./configure. Here's the end of the output:

<snip>
checking for libart-config... /usr/local/bin/libart-config
checking for LIBART - version >= 2.1.0... no
*** Could not run LIBART test program, checking why...
*** The test program compiled, but did not run. This usually means
*** that the run-time linker is not finding LIBART or finding the wrong
*** version of LIBART. If it is not finding LIBART, you'll need to set
your
*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to
point
*** to the installed location  Also, make sure you have run ldconfig if
that
*** is required on your system
***
*** If you have an old version installed, it is best to remove it,
although
*** you may also be able to get things to work by modifying
LD_LIBRARY_PATH
checking for gdk-pixbuf-config... /usr/local/bin/gdk-pixbuf-config
checking for GDK_PIXBUF - version >= 0.7.0... no
*** Could not run GDK_PIXBUF test program, checking why...
*** The test program compiled, but did not run. This usually means
*** that the run-time linker is not finding GDK_PIXBUF or finding the
wrong
*** version of GDK_PIXBUF. If it is not finding GDK_PIXBUF, you'll need
to set your
*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to
point
*** to the installed location  Also, make sure you have run ldconfig if
that
*** is required on your system
***
*** If you have an old version installed, it is best to remove it,
although
*** you may also be able to get things to work by modifying
LD_LIBRARY_PATH
checking for imlib-config... /usr/bin/imlib-config
checking for IMLIB - version >= 1.8.0... no
*** Could not run IMLIB test program, checking why...
*** The test program failed to compile or link. See the file config.log
for the
*** exact error that occured. This usually means IMLIB was incorrectly
installed
*** or that you have moved IMLIB since it was installed. In the latter
case, you
*** may want to edit the imlib-config script: /usr/bin/imlib-config
configure: error: you need either gdk-pixbuf or imlib installed
<snip>

I'm going to do some more reading to find out what ldconfig and
ld.so.conf are for. Thanks for the suggestions. 

Mark A. Bell


__________________________________________________
Do You Yahoo!?
Yahoo! Greetings - Send FREE e-cards for every occasion!
http://greetings.yahoo.com